> For the complete documentation index, see [llms.txt](https://syticks.gitbook.io/merpi-by-syticks/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://syticks.gitbook.io/merpi-by-syticks/api-reference/bus-ticketing-routes-terminals-schedules-buses-purchase-etc/get-bus-seats-endpoint.md).

# Get Bus Seats Endpoint

Ideally, this endpoint will be called after customer has selected the type of bus, the schedule(6AM bus, 8AM bus, etc) and the date that he or she wishes to travel. This end point returns the bus and it's seating arrangement data which you can use to model the bus' seating arrangement so your customers  can select their preferred seat as if they were seeing the bus in reality.

## Get Bus Seats

> Retrieve the seat availability for a specific bus and schedule on a given date. It returns the seats and signifies which seats are taken and which seats are available.

```json
{"paths":{"/api/v1/merpi/transport/bus/seats/{schedule_id}/{bus_id}/{departure_date}":{"get":{"summary":"Get Bus Seats","description":"Retrieve the seat availability for a specific bus and schedule on a given date. It returns the seats and signifies which seats are taken and which seats are available.","parameters":[{"name":"schedule_id","in":"path","required":true,"description":"This is the ID of the schedule.","schema":{"type":"integer"}},{"name":"bus_id","in":"path","required":true,"description":"This is the ID of the bus.","schema":{"type":"integer"}},{"name":"departure_date","in":"path","required":false,"description":"The day that the user wants to travel.","schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"Bus Seat Grid showing available bus seats","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","properties":{"seats":{"type":"array","items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"seat":{"type":"boolean"},"row":{"type":"integer"},"column":{"type":"integer"},"available":{"type":"boolean"}}}}},"bus":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"image":{"type":"string"},"seats":{"type":"integer"},"price":{"type":"string"},"rows":{"type":"integer"},"columns":{"type":"integer"},"seat_grid":{"type":"array","items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"seat":{"type":"boolean"},"row":{"type":"integer"},"column":{"type":"integer"}}}}}}},"schedule":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"time":{"type":"object","properties":{"departure":{"type":"string"},"arrival":{"type":"string"}}},"days":{"type":"object","properties":{"monday":{"type":"integer"},"tuesday":{"type":"integer"},"wednesday":{"type":"integer"},"thursday":{"type":"integer"},"friday":{"type":"integer"},"saturday":{"type":"integer"},"sunday":{"type":"integer"}}},"route":{"type":"object","properties":{"id":{"type":"integer"},"price":{"type":"integer"},"from":{"type":"object","properties":{"address":{"type":"string"},"city":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}}}}},"to":{"type":"object","properties":{"address":{"type":"string"},"city":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}}}}}}},"terminal":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"location":{"type":"string"},"slug":{"type":"string"}}},"business":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"photo":{"type":"string"},"slug":{"type":"string"},"type":{"type":"string"}}}}}}}}}}}}}}}}}
```
